package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * WireguardSummaryOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class WireguardSummaryOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  public WireguardSummaryOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * The ID of WireGuard VPN.
   * @return id
  */
  @ApiModelProperty(value = "The ID of WireGuard VPN.")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public WireguardSummaryOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * The name of WireGuard VPN.
   * @return name
  */
  @ApiModelProperty(value = "The name of WireGuard VPN.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WireguardSummaryOpenApiVo wireguardSummaryOpenApiVo = (WireguardSummaryOpenApiVo) o;
    return Objects.equals(this.id, wireguardSummaryOpenApiVo.id) &&
        Objects.equals(this.name, wireguardSummaryOpenApiVo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WireguardSummaryOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

